<%= render partial: 'image' %>

<% if @image.flickr_url.present? %>
  <%= content_for :javascript do %>
    <script>
      $(document).ready(function (){ 
        $("#gallery").flickrGallery({
            //FLICKR API KEY
           Key: '8cc90217011c7e0ca411794a2fcdc58d',
           //Secret
           Secret: '59a5b8e13daacf5b',
           //FLICKR user ID
           User: '148630710@N02',
           //Flickr PhotoSet ID
           PhotoSet: '<%= @image.flickr_set_id %>'
        });
      }); 
    </script>
  <% end %>
<% end %>